apiVersion: apps/v1
kind: Deployment
metadata:
  name: openstackclient
  namespace: {{ yaook_namespace }} 
spec:
  replicas: 1
  selector:
    matchLabels:
      app: openstackclient
  template:
    metadata:
      labels:
        app: openstackclient
    spec:
      automountServiceAccountToken: false
      containers:
      - name: client
        image: registry.yaook.cloud/yaook/openstackclient:{{ openstackclient_version }}
        imagePullPolicy: Always
        command: ["tail", "-f", "/dev/null"]
        envFrom:
        - configMapRef:
            name: os-internal-api
        - secretRef:
            name: keystone-admin
        env:
        - name: OS_REGION_NAME
          value: MyRegion
        - name: VIRTUAL_ENV
          value: "/usr/venv-openstack"
        - name: PATH
          value: "/usr/venv-openstack/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin"
        - name: REQUESTS_CA_BUNDLE
          value: "/etc/pki/tls/certs/ca-bundle.crt"
        volumeMounts:
          - name: ca-certificates
            mountPath: /etc/pki/tls/certs/
      volumes:
        - name: ca-certificates
          configMap:
            name: {{ keystone_configmap_ca }} #keystone-ca-certificates-6kv88
